This document lists the events and parameters for
various types of
Directory Sync Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=directory_sync`.

## Sync entity events


The processing of user and group entities.
Events of this type are returned with `type=DIRECTORY_SYNC_ENTITY`.

### Group Membership Added

This event occurs when an entity is added to a group.
Event details Event name `ADDED_GROUP_MEMBERSHIP` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`GROUP_ID` `string`


The email id of the group.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`NEW_MEMBERSHIP_ROLE` `string`


The new role for the membership.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SOURCE_IMMUTABLE_ID` `string`


The immutable id of source object.
`SOURCE_OBJECT_ID` `string`


The id of the source object.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`TARGET_OBJECT_ID` `string`


The id of the target object.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=ADDED_GROUP_MEMBERSHIP&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Added {TARGET_OBJECT_ID} in group {GROUP_ID} as {NEW_MEMBERSHIP_ROLE}`

### Group Membership Removed

This event occurs when an entity is removed from a group.
Event details Event name `REMOVED_GROUP_MEMBERSHIP` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`GROUP_ID` `string`


The email id of the group.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`OLD_MEMBERSHIP_ROLE` `string`


The previous role for the membership.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SOURCE_IMMUTABLE_ID` `string`


The immutable id of source object.
`SOURCE_OBJECT_ID` `string`


The id of the source object.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`TARGET_OBJECT_ID` `string`


The id of the target object.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=REMOVED_GROUP_MEMBERSHIP&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Removed {TARGET_OBJECT_ID} from group {GROUP_ID} as {OLD_MEMBERSHIP_ROLE}`

### Group Membership Updated

This event occurs when an entity's membership in a group is updated.
Event details Event name `UPDATED_GROUP_MEMBERSHIP` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`GROUP_ID` `string`


The email id of the group.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`NEW_MEMBERSHIP_ROLE` `string`


The new role for the membership.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SOURCE_IMMUTABLE_ID` `string`


The immutable id of source object.
`SOURCE_OBJECT_ID` `string`


The id of the source object.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`TARGET_OBJECT_ID` `string`


The id of the target object.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=UPDATED_GROUP_MEMBERSHIP&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Updated {ENTITY_TYPE} {TARGET_OBJECT_ID}'s role in group {GROUP_ID} to {NEW_MEMBERSHIP_ROLE}`

### Object Created

Occurs when a new entity is created.
Event details Event name `ENTITY_CREATED` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SOURCE_IMMUTABLE_ID` `string`


The immutable id of source object.
`SOURCE_OBJECT_ID` `string`


The id of the source object.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`TARGET_OBJECT_ID` `string`


The id of the target object.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=ENTITY_CREATED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Created {ENTITY_TYPE} {TARGET_OBJECT_ID}`

### Object Deprovisioned

Occurs when an object is deprovisioned.
Event details Event name `OBJECT_DEPROVISIONED` Parameters `DEPROVISION_ACTION` `string`


The action of deprovisioning an object.
`DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`MESSAGE` `string`


The reason for the event.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SOURCE_IMMUTABLE_ID` `string`


The immutable id of source object.
`SOURCE_OBJECT_ID` `string`


The id of the source object.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`TARGET_OBJECT_ID` `string`


The id of the target object.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=OBJECT_DEPROVISIONED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{ENTITY_TYPE} {TARGET_OBJECT_ID} {DEPROVISION_ACTION} because {MESSAGE}`

### Object Excluded

Occurs when an entity is excluded from a sync.
Event details Event name `ENTITY_EXCLUDED` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`EXCLUSION_RULE` `string`


The exclusion rule.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SOURCE_IMMUTABLE_ID` `string`


The immutable id of source object.
`SOURCE_OBJECT_ID` `string`


The id of the source object.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=ENTITY_EXCLUDED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Excluded {ENTITY_TYPE} {SOURCE_OBJECT_ID} due to the exclusion rule {EXCLUSION_RULE}`

### Object Excluded Summary

Provides a summary of entities excluded from a sync.
Event details Event name `ENTITY_EXCLUSIONS_SUMMARY` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`EXCLUDED_COUNT` `integer`


The count of items excluded.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=ENTITY_EXCLUSIONS_SUMMARY&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Excluded {EXCLUDED_COUNT} {ENTITY_TYPE} entities from directory {SOURCE_DIRECTORY_DISPLAY_NAME}`

### Object Skipped - Source object

Occurs when an entity is skipped during a sync.
Event details Event name `ENTITY_SKIPPED` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`MESSAGE` `string`


The reason for the event.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SOURCE_IMMUTABLE_ID` `string`


The immutable id of source object.
`SOURCE_OBJECT_ID` `string`


The id of the source object.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=ENTITY_SKIPPED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Skipped syncing {ENTITY_TYPE} {SOURCE_OBJECT_ID}. {MESSAGE}`

### Object Skipped - Target object

Occurs when a target entity is skipped during a sync.
Event details Event name `TARGET_ENTITY_SKIPPED` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`MESSAGE` `string`


The reason for the event.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`TARGET_OBJECT_ID` `string`


The id of the target object.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=TARGET_ENTITY_SKIPPED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Skipped syncing {ENTITY_TYPE} {TARGET_OBJECT_ID}. {MESSAGE}`

### Object Skipped - Unexpected error

Occurs when an entity could not be processed.
Event details Event name `ENTITY_SYNC_FAILED` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`GROUP_ID` `string`


The email id of the group.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`MESSAGE` `string`


The reason for the event.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SOURCE_IMMUTABLE_ID` `string`


The immutable id of source object.
`SOURCE_OBJECT_ID` `string`


The id of the source object.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`TARGET_OBJECT_ID` `string`


The id of the target object.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=ENTITY_SYNC_FAILED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Skipped syncing {ENTITY_TYPE}. {MESSAGE}`

### Object Updated

Occurs when an entity's attributes are updated.
Event details Event name `ENTITY_UPDATED` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`NEW_ATTRIBUTES` `string`


The new attributes for the entity.
`OLD_ATTRIBUTES` `string`


The previous attributes for the entity.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SOURCE_IMMUTABLE_ID` `string`


The immutable id of source object.
`SOURCE_OBJECT_ID` `string`


The id of the source object.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`TARGET_OBJECT_ID` `string`


The id of the target object.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=ENTITY_UPDATED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Updated {ENTITY_TYPE} {TARGET_OBJECT_ID}. Old attributes {OLD_ATTRIBUTES}, new attributes {NEW_ATTRIBUTES}`

### Read Objects

Occurs when an entity is read from the remote directory.
Event details Event name `REMOTE_DIRECTORY_ENTITY_READ` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`OLD_ATTRIBUTES` `string`


The previous attributes for the entity.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SOURCE_IMMUTABLE_ID` `string`


The immutable id of source object.
`SOURCE_OBJECT_ID` `string`


The id of the source object.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=REMOTE_DIRECTORY_ENTITY_READ&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Read {SOURCE_OBJECT_ID} with attributes {OLD_ATTRIBUTES}`

### Read Objects - Initiating read from source directory

Occurs when the sync process starts reading entities from the remote directory.
Event details Event name `REMOTE_DIRECTORY_READ` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`FILTER` `string`


The remote directory filter.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=REMOTE_DIRECTORY_READ&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Reading {ENTITY_TYPE}s from source directory {SOURCE_DIRECTORY_DISPLAY_NAME} with filter {FILTER}`

### Read Objects - Initiating read from target directory

Occurs when the sync process starts reading entities from the Google directory.
Event details Event name `CLOUD_DIRECTORY_READ` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=CLOUD_DIRECTORY_READ&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Reading {ENTITY_TYPE}s from your Google directory`

### Read Objects - Source directory read summary

Provides a summary of entities read from the remote directory.
Event details Event name `REMOTE_DIRECTORY_READ_FINISHED` Parameters `COUNT` `integer`


The count of items affected.
`DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=REMOTE_DIRECTORY_READ_FINISHED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Retrieved {COUNT} {ENTITY_TYPE}s from source directory {SOURCE_DIRECTORY_DISPLAY_NAME}`

### Read Objects - Target directory read summary

Provides a summary of entities read from the Google directory.
Event details Event name `CLOUD_DIRECTORY_READ_FINISHED` Parameters `COUNT` `integer`


The count of items affected.
`DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=CLOUD_DIRECTORY_READ_FINISHED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Retrieved {COUNT} {ENTITY_TYPE}s from your Google directory`

### Sync Error

Indicates an error occurred during the sync process.
Event details Event name `ERROR` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`MESSAGE` `string`


The reason for the event.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SOURCE_IMMUTABLE_ID` `string`


The immutable id of source object.
`SOURCE_OBJECT_ID` `string`


The id of the source object.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`TARGET_OBJECT_ID` `string`


The id of the target object.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=ERROR&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{MESSAGE}`

### Sync Error - Individual object

Occurs when an entity could not be created in the target directory.
Event details Event name `ENTITY_NOT_CREATED` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`MESSAGE` `string`


The reason for the event.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SOURCE_IMMUTABLE_ID` `string`


The immutable id of source object.
`SOURCE_OBJECT_ID` `string`


The id of the source object.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`TARGET_OBJECT_ID` `string`


The id of the target object.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=ENTITY_NOT_CREATED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{ENTITY_TYPE} {TARGET_OBJECT_ID} could not be created. Message: {MESSAGE}`

### Sync Summary

Provides a summary of entity changes.
Event details Event name `ENTITY_CHANGES` Parameters `CREATED_COUNT` `integer`


The count of items created.
`DELETED_COUNT` `integer`


The count of items deleted.
`DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`FAILED_COUNT` `integer`


The count of entities that failed to sync.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SKIPPED_COUNT` `integer`


The count of entities that are skipped in sync due to other non error flows.
`SKIPPED_ERROR_COUNT` `integer`


The count of entities that are skipped in sync because of errors.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`UPDATED_COUNT` `integer`


The count of items updated.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=ENTITY_CHANGES&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{ENTITY_TYPE} changes: {CREATED_COUNT} created, {UPDATED_COUNT} updated, {DELETED_COUNT} suspended, {FAILED_COUNT} failed, {SKIPPED_ERROR_COUNT} skipped (errors), {SKIPPED_COUNT} skipped (other)`

## Sync Job execution


A Sync Job executed.
Events of this type are returned with `type=DIRECTORY_SYNC_EXECUTION`.

### Sync Completed

Indicates that the sync run has completed.
Event details Event name `SYNC_RUN_END` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=SYNC_RUN_END&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Completed syncing {ENTITY_TYPE}s from {SOURCE_DIRECTORY_DISPLAY_NAME}`

### Sync Failed

Indicates that the sync run has failed.
Event details Event name `SYNC_RUN_FAILED` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`MESSAGE` `string`


The reason for the event.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=SYNC_RUN_FAILED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{ENTITY_TYPE} sync from {SOURCE_DIRECTORY_DISPLAY_NAME} failed. Error: {MESSAGE}`

### Sync Failed - Retry scheduled

Indicates that a failed sync run is scheduled for retry.
Event details Event name `SYNC_RUN_FAILED_RETRY` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`MESSAGE` `string`


The reason for the event.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_RUN` `string`


The name of the Sync Run.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=SYNC_RUN_FAILED_RETRY&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{ENTITY_TYPE} sync from {SOURCE_DIRECTORY_DISPLAY_NAME} failed. Sync will be retried soon. Error: {MESSAGE}`

### Sync Started

Indicates that a sync run has started.
Event details Event name `SYNC_RUN_START` Parameters `DRY_RUN` `boolean`


True if this event is for a dry run.
Possible values:

- `false`  
  Enum value of dry run disabled.
- `true`  
  Enum value of dry run enabled.
`ENTITY_TYPE` `string`


The type of the entity.
Possible values:

- `GROUP`  
  Represents a group entity.
- `GROUP_MEMBERSHIP`  
  Represents a group membership entity.
- `USER`  
  Represents a user entity.
`LOG_LEVEL` `string`


The severity level of audit event.
Possible values:

- `DEBUG`  
  Debug log.
- `ERROR`  
  Error log.
- `FATAL`  
  Fatal log.
- `INFORMATION`  
  Information log.
- `WARNING`  
  Warning log.
`REMOTE_DIRECTORY` `string`


The name of the Sync remote directory.
`SOURCE_DIRECTORY_DISPLAY_NAME` `string`


The display name of the source directory.
`SYNC_JOB` `string`


The name of the Sync Job.
`SYNC_JOB_CONFIG` `string`


The config of the sync job.
`SYNC_RUN` `string`


The name of the Sync Run.
`VERBOSE` `boolean`


True if this is a verbose log event.
Possible values:

- `false`  
  Enum value for non verbose event.
- `true`  
  Enum value for verbose event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/directory_sync?eventName=SYNC_RUN_START&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Started syncing {ENTITY_TYPE}s from {SOURCE_DIRECTORY_DISPLAY_NAME} using {SYNC_JOB_CONFIG}`